using System;
using LitJson;

namespace Wizard;

public class QuestOpenInfo
{
	public bool IsOpen { get; private set; }

	public bool IsDisplayBadge { get; private set; }

	public string QuestPanelBandText { get; private set; }

	public DateTime EndTime { get; private set; }

	public void SetOpenInfo(JsonData jsonData, JsonData responseData)
	{
		bool flag = responseData["is_hidden_boss_appeared"].ToBoolean();
		IsOpen = jsonData["is_open"].ToBoolean();
		QuestPanelBandText = jsonData["name"].ToString();
		IsDisplayBadge = jsonData["is_display_badge"].ToBoolean() || flag;
		if (!string.IsNullOrEmpty(jsonData["end_time"].ToString()))
		{
			EndTime = DateTime.Parse(jsonData["end_time"].ToString());
		}
	}

	public void SetIsDisplayBadge(JsonData jsonData)
	{
		IsDisplayBadge = jsonData["is_display_badge"].ToBoolean();
	}
}
